<% 	' Module: DB_define.inc
	'
	' Description: This ASP page is referenced to obtain the  database DSN
	' information that is used by the ASP pages.
	'
	' To change the DSN name or the Login Information, edit the Global.asa file.
	' The database connect string was moved to the Global.asa for
	' security reasons.   The
	' web server must be restarted after these changes are made for
	' Tech+Center, Customer+Center or Business+Center to notice new DSN information.
	'
	' (C) 1999-2003 Internet Software Sciences
	'
	'History:

	'Date		Who		What
	'-----		-----	-------------------------------------------------
	'10/7/99	SAV		Created original File
	'10/31/2000	SAV		Put in new Webcenter30 username and passwords
	'10/27/2002	SAV		Moved DB information into Global.asa files in each directory.
	'03/08/2011     SAV             Get language directory from database

	SecurityON = "YES" ' Default to Tech+Center Security Enabled

	'Application Variables are set in Global.asa

	myDSN = Application("myDSN")

	myOS = Application("MyOS")

	'Application("WCLanguageDirectory") = "language70"

	DatabaseType = Application("DatabaseType")
	DatabaseType2 = Application("DatabaseType2")


	myDSN = Application("MyDSN")
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 priority values

	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No configuration file found"
	Else
		' Get the values from the configuration File
		Application("wclanguageDirectory") = rstemp("LanguageVirtual") ' Set this to your full destination path
	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	WCLanguageDirectory = Application("WCLanguageDirectory")

	wctempDirectory = Application("WCTempDirectory")
	FileUploadPath  = Application("FileUploadPath")

	ReservationDirectory = Application("ReservationDirectory")

	'response.write "WC="   & Wclanguagedirectory
	'response.write "reservationdirectory = " & reservationdirectory

%>






























