<% 'Module: AuthorizeTimeSpentMobile.asp

   'Description: This module is the popup for users to authorize the time spent hours.

   '(C) 2000-2006 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '03/04/2009	SAV		Created Page from another ASP page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/TxtMsgConfiguration.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="CustomerCenterFunctions.inc" -->

<% Customer_ID = Request.Cookies("ISS_CUSTOMER") ' Get the Customer_ID if possible
%>
<% ' Grab the passed query string variable of case number
	CaseNumber = Request.querystring("Casenum")
%>

<!DOCTYPE html>
<html>
<title>Time Spent Authorization</title>        <!-- #INCLUDE FILE="CHeaderMobile.inc" -->
    <body>
        <!--
        Home -->
        <div data-role="page" id="PageLogin">
            <div data-role="content">

<form action=DoAuthorizeTimeSpentMobile.asp   name="myform" method=post>

<% ' ****************CUSTOMIZE YOUR Authorization Process wording below **********************
%>
<center><h3>Please press the <U>Authorize</u> button to approve the estimate
or payment for the work defined below: type your name,
current date and any other comments. This authorization
information will be appended to the case record.</h3></center>

	<input type=hidden name=AuthorizeCaseNumber value=<%=CaseNumber%> >

   	 <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="AuthorizeName">
                               Authorized by:
                            </label>
                            <input name="AuthorizeName" id="AuthorizeName" placeholder="" value="" type="text" size="20" maxlength="50"/>
           					(Please Type your name)
           				</fieldset>
          </div>
          	<%  DefaultDateString = GetDefaultDateString() %>
   	 <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="AuthorizeDate">
                              Date:
                            </label>
                            <input name="AuthorizeDate" id="AuthorizeDate" placeholder="" value="<%=DefaultDateString%>" type="text" size="20" maxlength="20"/>
           					(Please date the authorization)
           				</fieldset>
          </div>

   	 <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="AuthorizeComments">
                             Authorization Comments:
                            </label>
                            <input name="AuthorizeComments" id="AuthorizeComments" placeholder="" value="" type="text" size="50" maxlength="200"/>
           				</fieldset>
          </div>

		<div class="ui-body ui-body-b">
			<fieldset class="ui-grid-a">
					<div class="ui-block-b"><button type="submit" data-theme="a" data-mini="true" data-icon="check" >Authorize</button></div>
					<div class="ui-block-b"> <a href="#" data-role="button" data-icon="arrow-l" data-rel="back" data-mini="true">Cancel</a></div>
		    </fieldset>
		</div>

	<% ' Display the extended time spent info now %>
	<%
	TotalBillableHours = 0
	TotalBillableAmount = 0

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="SELECT Tech_staff.tech_id, Tech_staff.first_name, Tech_staff.last_name, TimeSpent.Invoice_Date, TimeSpent.Tech_ID, TimeSpent.Billable, TimeSpentIndex, TimeSpent.Hours, TimeSpent.HourlyRate , TimeSpent.TimeSpentNote FROM Tech_staff INNER JOIN TimeSpent ON Tech_staff.tech_id = TimeSpent.Tech_ID  WHERE Case_Number = " & CaseNumber
	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3
%>
<% ' STart of TIme Spent Info %>
		<!-- HEADER ROW grid with 6 columns -->
		<div class="ui-grid-d" width=100%>
			<div class="ui-block-a"><div class="ui-bar ui-bar-d"><strong><%=wc_Date %>&nbsp;:&nbsp; <%=wc_Tech %></strong></div></div>
			<div class="ui-block-b"><div class="ui-bar ui-bar-d"><strong><%=wc_Billable %></strong></div></div>
			<div class="ui-block-c"><div class="ui-bar ui-bar-d"><strong><%=wc_Hours %></strong></div></div>
			<div class="ui-block-d"><div class="ui-bar ui-bar-d"><strong><%=wc_Hourly_Rate %></strong></div></div>
			<div class="ui-block-e"><div class="ui-bar ui-bar-d"><strong><%=wc_Notes %></strong></div></div>

<%
		Do While NOT rstemp.EOF
			%>
			<div class="ui-block-a"><%=rstemp("Invoice_Date") %> :
					<%=rstemp("last_name") %>, &nbsp; <%=rstemp("first_name") %></div>
			<div class="ui-block-b">

			<% If rstemp("Billable") = True Then %>
				<%=wc_YES%>
			 <% Else %>
				<%=wc_NO%>
			<% End If %>

			</div>
			<div class="ui-block-c"><%=rstemp("Hours") %></div>
			<div class="ui-block-d"><%=rstemp("HourlyRate") %></div>
			<div class="ui-block-e"><%=rstemp("TimeSpentNote") %></div>

			<%
				' Calculate Total Billable Hours

				If rstemp("Billable") = True Then
					TotalBillableHours = TotalBillableHours + rstemp("Hours")
					'-- fix this -- TotalBillableAMount = rstemp("Hours") * rstemp("HourlyRate") + TotalBillableAmount
					' We need to round to 2 dec places in case this calculation generates more e.g. 5.25 * 5.25 = 27.5625

					' we also need to guard against these fields being empty

					 HoldHourlyRate = rstemp("HourlyRate")
					 If isNull(HoldHourlyRate) Then
						HoldHourlyRate = 0
					 End If

					 HoldHours = rstemp("Hours")
					 If isNull(HoldHours) Then
						HoldHours = 0
					 End If

					tempholder = HoldHours * HoldHourlyRate
					tempholder = Round(tempholder,2)
					TotalBillableAmount = TotalBillableAmount + tempholder

				End IF

				TotalHours = TotalHours + rstemp("Hours") ' Always in hours independently of billable.

				rstemp.MoveNext
		Loop
%>
</div>
<%
	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>
	<!-- SUMMARY -->
<% ' Now display the summary information for time spent %>
			<div class="ui-grid-a" width=100%>
				<div class="ui-block-a"><div class="ui-bar ui-bar-d"><strong><%=wc_Billable_Total%>&nbsp;:&nbsp; </strong><%=TotalBillableHours%> &nbsp;<%=wc_HRS%>&nbsp;/&nbsp;<%=wc_Time_Spent_Currency%>&nbsp;<%=TotalBillableAmount %>&nbsp;</div></div>
				<div class="ui-block-b"><div class="ui-bar ui-bar-d"><strong><%=wc_Total_Hours%>:</strong> <%=TotalHours%> &nbsp;  <%=wc_HRS%></div></div>
          </div>
</ul>
<% ' **************************** End of Time Spent Info %>
</div>

	</form>
</body>
</html>

<% Function GetDefaultDateString()

	' First determine if this is UK/US formats from configuration file
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		DateDisplayFormat = rstemp("Date_Display_Format")
	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
	' US Format of mm/dd/yyyy

  If DateDisplayFormat = "DDMMYYYY" Then  '(UK Format) - dd/mm/yyyy
		GetDefaultDateString = CStr(Day(NOW())) & "/" & CStr(month(NOW())) & "/" & CStr(Year(NOW()))
	Else ' US format of mm/dd/yyyy
		GetDefaultDateString = CStr(Month(NOW())) & "/" & CStr(Day(NOW())) & "/" & CStr(Year(NOW()))
	End IF
End Function
%>
