<% 'Module: CCSearch.asp

   'Description: This module is the search engine first page.
   '(C) 1999, 2004 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '2/15/00	    SAV		Created original Search page
   '1/14/04     JC      Upgraded to handle "AND" capability for keyword searches


   ' ---------Note:
   ' This is the first module of a set of three that work together, namely CCSearch.asp DoCCSearch1.asp and DoCCSearch2.asp
   ' The second two of these were cloned from the old DoCCSearch.asp with extensive modifications
   ' This module is almost the same as before, except it now includes 2 radio buttons to allow the user
   ' to specify "Any" or "All" keywords must be present in a record to make it qualify (i.e. equivalent ot OR and AND )
   '
   ' Then the second module (DoCCSearch1.asp) generates an appropriate SQL statement - but the SQL statement is generated
   ' as if "Any" was specified by the user - no matter what the setting of the radio buttons. But then if "All" wa spewcified
   ' it performs this qualification itself after records have been retrieved by the SQL statement
   '
   ' Then - instead of displaying qualified records to the user, it stashes a list of the qualified case numbers
   ' in an array held in a session variable
   '
   ' The the third program (DoCCSearch2.asp) uses this array to retrieve the records and display them. This way it can
   ' show pages of 15 hits at a time and go back to the array for subsequent pages without doing the database search again.


	' CONSTANTS
%>

<!-- #INCLUDE FILE="MobileConfiguration.inc" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="CustomerCenterFunctions.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
Call GetCustomerConfig()
%>


<!DOCTYPE html>
<html>
     <!-- #INCLUDE FILE="CHeaderMobile.inc" -->
   <body >
        <!-- Home -->
        <div data-role="page" id="CCSearch">
            <div data-role="content">
        <!-- #INCLUDE FILE="UpperNavBar.inc" -->
                <h3><Center>
                <%=wc_Search_Help_Database%>
                </h3></CENTER>

		 <form action="DoCCSearch1Mobile.asp" method="POST">

<%Call GetCategories() %>

<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b" >
	<li data-role="list-divider" role="heading" ><%=wc_Step%> 2: <%=wc_Enter_any_optional_search_keywords%></li>
	<div data-role="fieldcontain">
		<label for="Search_string" data-mini="true" ><%=wc_Search_Keywords%>:</label>
			<input type="text" name="Search_string" id="search_string" data-mini="true" size="30" maxlength="100" value="" />
</div>
<center>
	<fieldset data-role="controlgroup" data-type="horizontal">
		<legend></legend>
	     	<input type="radio" name="SearchType" id="ANY" value="ANY" checked="checked" />
	     	<label for="ANY">Any</label>

	     	<input type="radio" name="SearchType" id="ALL" value="ALL"  />
	     	<label for="ALL">All</label>
	</fieldset>
</center>
	</li>
</ul>

<!--SUBMIT/CANCEL-->
<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b" data-mini="true">
	<li data-role="list-divider" role="heading" data-mini="true"><B><%=wc_Step%> 3:</b> <%=wc_Press_the_Search_Button%>.</li>
	<li>

	<div class="ui-body ui-body-b">
		<fieldset class="ui-grid-a">
				<div class="ui-block-b"><button type="submit" data-theme="a" data-mini="true" data-icon="check" >Search Help Database</button></div>
				<div class="ui-block-b"><a href="Default.asp" data-role="button" data-icon="arrow-r" data-mini="true" >Cancel</a></div>
	    </fieldset>
		</div>
</li>
</Ul>
</form>
</div>
</div>
</body>

<% Sub GetCategories() %>
	<% '********* CATEGORY DISPLAY **************************%>
<%
		sSql = "select distinct(category_number),Category_name, count(item_name),min(category_index) from categories "
		sSql = sSql & " where state = 1 AND NOT (Category_name LIKE '(I)%')"
		sSql = sSql & " group by category_Number, category_Name "
		sSql = sSql & " having count(Item_Name) > 0  order by min(category_index) ASC	"

		set conntemp2=server.createobject("adodb.connection")
		conntemp2.open myDSN
		set conntemp3=server.createobject("adodb.connection")
		conntemp3.open myDSN

		set rstemp2 = server.createobject("adodb.recordset")
		set rstemp2=conntemp2.execute(sSQL)
		set rstemp3 = server.createobject("adodb.recordset")

		If  NOT rstemp2.eof then
		%>
			<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b" data-mini="true" >
			<li data-role="list-divider" role="heading" data-mini="true" ><%=wc_Select_The_Best_Block%></li>

<%       Do While NOT rstemp2.eof
					Category_name = rstemp2("Category_name")
					Category_number = rstemp2("Category_number")
					sName = "c" & rstemp2("category_number")
%>
					<li>
					<label for="<%=sName%>" data-mini="true" ><%=Category_name%></label>
					<select name="<%=sName%>" id="<%=sName%>" data-mini="true" />
						<option  value= "">Ignore</option>
<%
						sSql2 = "Select * from categories where category_number = " & Category_number
						sSql2 = sSql2 & " and state = 1 "

						set rstemp3=conntemp3.execute(sSQL2)

						Do While NOT rstemp3.eof
								Item_name = rstemp3("Item_name")
								Item_number = rstemp3("Item_number")
								VarName = "C" & Category_Number
%>
								<option  value="<%=Item_Number%>" ><%=Item_Name%></option>
								<%
							rstemp3.MoveNext
						loop
						rstemp3.close

             %>
             </Select>
			</li>
			<%
        	rstemp2.MoveNext
       loop
       %>
		<% end if%>
		</ul>
<%
		rstemp2.close
		set rstemp2=nothing
	'	rstemp3.close
		set rstemp3 = nothing
      conntemp2.close
      set conntemp2 = nothing
      conntemp3.close
      set conntemp3 = nothing

End Sub
	%>


