<%  ' Module: DoCCSearch2Mobile.asp
	'
	' Description: Submit Module For CSearch.asp module
	'
	' (C) 2000-2003,2004 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'11/24/12   CMB     Error in session variable if no records found
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->

<% ' Define the three rotating colors for the category lists (these are defined as styles)
	Color1 = "plaintext1"
	Color2 = "plaintext2"
	Color3 = "plaintext3"
	LocalCasecount = 0
%>

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Get Customer+Center Cookies

	CustomerID = Request.Cookies("ISS_Customer") ' Get the memberID from the cookie

%>
<% ' Get the request variables from the URL (we are *always* called via URL with parameters)

	Page = request.querystring("page") ' This is passed when called from a link to view pages
	Field_Validation_Check "Page", page

	TextFlag = request.querystring("text") ' This will be set to NO when called with no text
	Field_Validation_Check "Text Flag", TextFlag
	' Display the Main body of the page %>

<% ' Display the Header HTML %>
<!DOCTYPE html>
<html>
     <!-- #INCLUDE FILE="CHeaderMobile.inc" -->
   <body >
        <!-- Home -->
        <div data-role="page" id="PageAccount">
            <div data-role="content">
        <!-- #INCLUDE FILE="UpperNavBar.inc" -->
                <h3><Center>
           <%=wc_Help_Database_Search_Results%>
    </h3></CENTER>

	<!-- BUTTONS -->
    <div class="ui-body ui-body-b">
	 		<fieldset class="ui-grid-a">
					<div class="ui-block-b"><a href="CCSearchMobile.asp" data-role="button" data-icon="search" data-mini="true" >Search Again</a></div>
	 				<div class="ui-block-b"><a href="default.asp" data-role="button" data-icon="arrow-r" data-mini="true" >Cancel</a></div>
	 	    </fieldset>
		</div>

<%

    ' Get the casenumber array

		'Code here that you want to catch errors from
		Hitcount = 0

		Array_casenumber = session("case_numbers")
		hitcount = Ubound(Array_casenumber)
%>
<center>
				<div class="ui-grid-b" width=100%>
					<div class="ui-block-a"><div class="ui-bar ui-bar-d"><strong><%=wc_Your_Search_Has_Found%></strong></div></div>
					<div class="ui-block-b"><div class="ui-bar ui-bar-d"><strong><%=hitcount%>&nbsp;</strong></div></div>
					<div class="ui-block-c"><div class="ui-bar ui-bar-d"><strong><%=wc_matching_records%></strong></div></div>
	          </div>

</CENTER>
<%

	If hitcount > 15 Then  ' put out Page Number header and page number links

	' first figure out how many total pages are needed
	   a = hitcount / 15
	   b = int(a)
	   if a = b Then
		 pagecount = a
	   else
		 pagecount = b + 1
	   end if

%>
<!-- PAGE NUMBER COLUMNS -->
<CENTER>
	   <B><%=wc_Result_Pages%> :</b>
<%
       For i = 1 to pagecount
	     vector = "DoCCSearch2Mobile.asp?Page=" & i & "&Text=" & TextFlag
	     if Cint(i) = Cint(Page) then
	     %>
	       <font color=red><%=i%> </font> &nbsp;
	     <%  Else %>
            <a href="<%=vector%>"><%=i%></a> &nbsp;
        <%  End If %>
        <%
	   Next
	   If Cint(page) < Cint(pagecount) Then
	   %>
	      <a href="<%=vector%>">&gt;&gt;<%=wc_next%>...</a> &nbsp;
	 <%
	 End if %>

<p>

<%	End If %>

</CENTER>
<%
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

' here we figure out which records to inject into the main loop
if hitcount > 0 then   ' 11/24/12

		endrec = page * 15
		startrec = endrec - 14
		thisrec = startrec

		do while (thisrec < endrec + 1) and (thisrec < hitcount + 1)
		  target = Array_casenumber(thisrec)

		 '  response.write "Displaying entry number " & thisrec & " which is casenumber " & target & "<p>"
		  mySQL5="select * from Cases Where case_number =" & target
	      set rstemp=conntemp.execute(mySQL5)

	'-------------------------------------start of print loop------------------------------------------
%>


<% ' We need to get the Case_History, Summary and Resolution fields using a different
	' record set since the DISTINCT clause will not work with these memo fields

	mySQL3 = "select * from Cases where case_number = " & rstemp("Case_Number")

	'response.write mySQL3

	set rstemp2 = Server.CreateObject("adodb.recordset")
	rstemp2.open mySQL3, myDSN, adopenstatic

	 Case_History = rstemp2("case_History")
	 Case_Summary = rstemp2("Case_Summary")
	 Case_Resolution = rstemp2("Case_Resolution")
	 CaseNumber = rstemp2("Case_Number")
	 OpenDateUnformatted = rstemp2("Open_date")
	 ModDateUnformatted = rstemp2("mod_date")
	 OpenDateFormatted = Mid(OpenDateUnformatted, 5,2) & "/" & Mid(OpenDateUnformatted, 7,2) & "/" & Mid(OpenDateUnformatted, 1,4)
	 ModDateFormatted = Mid(modDateUnformatted, 5,2) & "/" & Mid(modDateUnformatted, 7,2) & "/" & Mid(modDateUnformatted, 1,4)

	' Create the category display for this case

	CategoryString = ""
	ColorChoice = 1

	' We will open a special connection for this extra query
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN


	for i = 1 to 20 ' Increase this beyond 20 if more than 20 Categories
		CategoryItem = rstemp2("C"&i)
		If CategoryItem <> 0 Then
			' Some category value is set so see if the state of the category
			' equal to one (customer+tech display) and get the category
			' and category item description from the table lookup.

			mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND State = 1"

			'response.write mySQL4 ' Debugging only


			set rstemp3 = Server.CreateObject("adodb.recordset")
			'rstemp3.open mySQL4, myDSN, adopenstatic
			rstemp3.open mySQL4, conntemp, adopenstatic

			If rstemp3.EOF <> True THEN
				Item_name = rstemp3("Item_name")
				CategoryName = rstemp3("Category_name")

				If ColorChoice = 1 Then
					ColorFont = "<span class=plaintext1>"
					ColorFontMobile = "<font color=red>"
					Colorchoice = 2
				elseif ColorChoice = 2 then
					ColorFont = "<span class=plaintext2>"
					ColorFontMobile="<font color=Yellow>"
					Colorchoice = 3
				elseif ColorChoice = 3 then
					ColorFont = "<span class=plaintext3>"
					ColorFontMobile="<font color=green>"
					Colorchoice = 1
				End if

			'	CategoryString = CategoryString & ColorFont & "  [" & CategoryName & " == " & Item_Name & "]</span>"
				CategoryString = CategoryString &  ColorFontMobile & "  [" & CategoryName & " == " & Item_Name & "]" & "</font>"

				'Response.write "Category String = " & CategoryString

				' Close this intermediate record set

			End If

			rstemp3.close
			set rstemp3=nothing
		End If
	next

		If CategoryString = "" then
			CategoryString = "No Categories defined"
		End If

	' Close this intermediate record set
	rstemp2.close
	set rstemp2=nothing

%>

	<% ' Compute CaseCount
		LocalCaseCount = LocalCaseCount + 1
		If NumOfPages > 1 Then
			CaseCount = (CurrentPage-1)*15 + LocalCaseCount
		Else
			CaseCount = LocalCaseCount
		End If
	%>

<% ' Replace CR with <BR> characters
	New_Summary = ""

	if Case_Summary <> "" Then
		New_summary = Format_Case_Text(Case_Summary)
	End If
	If New_Summary = "" Then
		New_Summary = "No Summary defined"
	End If
%>

<%
	' ***** UserCustomization *********
	' Uncomment the line below if you want to link directly to the case form for
	' customer searched cases.

	'SearchCustomerRecordsOnly = 1 ' uncomment this line to enable this change
	%>
	<ul data-role="listview" data-inset="true" data-theme="c" data-divider-theme="b"  data-mini="true">
			<li data-role="list-divider" role="heading" data-mini="true" ><%=Casenumber%>
<%
	sReturn = "DoCCSearch2Mobile.asp?Page=" & Page & "&Text=" & TextFlag

	If SearchCustomerRecordsOnly = 1 Then
	%>
	<a href="ViewCaseMobile.asp?CaseNum=<%=CaseNumber%>&ReturnPage=<%=sReturn%>" ><B><%=New_summary%></b></a>
<% Else %>
	<a href="ViewCaseMobile.asp?CaseNum=<%=CaseNumber%>&ReturnPage=<%=sReturn%>" ><B><%=New_summary%></b></a>

<!--	<a href="ViewCaseMobile?CaseNum=<%=CaseNumber%>"><B><%=New_summary%></b></a>-->
<!--	<a href=ViewCase.asp?Casenum=<%=CaseNumber%>&ReturnPage=Search><B><%=New_summary%></b></a>-->
<%End If %>
</li>

<% ' Replace CR with <BR> characters
	New_Resolution = ""
	If Case_Resolution <> "" Then
		New_Resolution = Format_Case_Text(Case_Resolution)
	End If

	If New_Resolution = "" then
		New_Resolution = " No resolution defined"
	End If

	If Len (New_Resolution) > 100 then
		New_Resolution = Mid(New_Resolution, 1, 97) & "..."
	End If

%>
  <div data-role="fieldcontain">
	<B><%=wc_resolution%>: </b><%=New_Resolution%>
	</div>

  <div data-role="fieldcontain">
		<B><%=wc_Categories%>: </b><%= CategoryString%>
	</div>
  <div data-role="fieldcontain">
   	<strong><%=wc_Date_Created%>:</strong> <%=OpendateFormatted%> &nbsp;&nbsp;&nbsp;&nbsp;
		<strong><%=wc_Last_Modification_Date%>:</strong> <%=Moddateformatted%>
			</div>
	</ul>

<%
		  thisrec = thisrec + 1
		loop
	' ------------------end of record reading loop --------------------------------

	rstemp.close
	set rstemp=nothing
 end if   ' 11/24/12

%>

<!-- PAGE NUMBER COLUMNS -->
<%
	If hitcount > 15 Then  ' put out Page Number header and page number links

	' first figure out how many total pages are needed
	   a = hitcount / 15
	   b = int(a)
	   if a = b Then
		 pagecount = a
	   else
		 pagecount = b + 1
	   end if

%>
<CENTER>
	   <B><%=wc_Result_Pages%> :</b>
<%
       For i = 1 to pagecount
	     vector = "DoCCSearch2Mobile.asp?Page=" & i & "&Text=" & TextFlag
	     if Cint(i) = Cint(Page) then
	     %>
	       <font color=red><%=i%> </font> &nbsp;
	     <%  Else %>
            <a href="<%=vector%>"><%=i%></a> &nbsp;
        <%  End If %>
        <%
	   Next
	   If Cint(page) < Cint(pagecount) Then
	   %>
	      <a href="<%=vector%>">&gt;&gt;<%=wc_next%>...</a> &nbsp;
	 <%
	 End if %>

<p>

<%	End If %>

</CENTER>

<% ' End of output HTML %>


<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")

		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{r[", "<br><font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font><br>")

		NewText = Replace (NewText, "]g}", "</font><br>")

	NewText = replace(NewText, chr(13), "<br>")
'	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")

	Format_Case_Text = NewText

End function
%>
