<%  ' Module: MobileChat.asp
	'
	' Description: Customer+Center Mobile Page Template
	'
	' (C) 2013 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '1/25/13 SAV		Created SiteInfo.asp as a way to show site information from Customer+Center message board
   '02/11/13 	SAV	Created MobileChat.asp as the first page for the mobile chat application



%>

<!-- #INCLUDE FILE="MobileConfiguration.inc" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="CustomerCenterFunctions.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
Call GetCustomerConfig()
%>

<% ' Checked for Customer+Center Logged in Cookie

CookieID = Request.Cookies("ISS_CUSTOMER") ' Get the Logged TechID from the cookie
If CookieID <> "" Then
  Logged_In = "Yes"
Else
  Logged_In = "No"
End If

%>

<% ' **************** START OF Mobile HTML jquery code   ********************* %>

<% '*************************** UI **************************' %>
<!DOCTYPE html>
<html>
<title><%=CustomerCenterMobileTitle%>
</title>
     <!-- #INCLUDE FILE="cheaderMobile.inc" -->
    <body>

        <!-- Home -->
        <div data-role="pageSiteInfo" id="pageSiteInfo">
            <div data-role="content">
        <!-- #INCLUDE FILE="UpperNavBar.inc" -->


<% ' Display information about the availability of Text Chat Technicians


	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from TextAgentAvailable"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then

		TextAgentMessage = "No Text Msg Agent is available now. Please try again later"

	Else

		LastDateTime = rstemp2("LastDateTime")


	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	IF LastDateTime <> "" Then

		'This DateDiff function does the amazing calculating comparing the date/time of last
		'tech update for polling of text messages and compares it to the
		' current system time.  It then returns the difference between them in
		' seconds.

		CheckTime = DateDiff("s", LastDateTime, Now())
	End If


		If  CheckTime > 60 OR LastDateTime = "" Then
	  ' ******* USER Customization Area - Place HTML code here for no text agent available****************

	 	TextAgentAvailable = "NO"

	  else

	  	TextAgentAvailable = "YES"

	  End IF


%>



<% 	If TextAgentAvailable = "YES" Then %>

<center>
<br>




<a href="MobileChatWindow.asp?TextChatThread=NEW" data-role="button" target = "ChatWindow" data-prefetch> Launch Chat Support</a>

<br>

<a href="MobileChatWindow.asp?TextChatThread=NEW" data-role="button" data-prefetch> Launch Chat Support (iPad)</a>


</center>


     <% Else %>


	<Center>
	<font face=arial size=+1>
	<br>
	<br>

	<font color=red>Sorry..</font><br>


	There are no Text Messaging Support
	Agents currently
	available.
	<br><br>

	Please
	try again later or use other support options.
	<br>
	<br>
	<br>


      <% End If %>



            </div>
        </div>
    </body>
</html>


