<%  ' Module: ViewFAQMobile.asp
	'
	' Description: View FAQ Article on mobile device Page
	'
	' (C) 2013 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '1/25/13 SAV		Created ViewFAQMobile.asp as a way to show site information from Customer+Center message board
   '02/05/13 SAV	Created CustomerMobileFAQ.asp module to display FAQ articles

%>

<!-- #INCLUDE FILE="MobileConfiguration.inc" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="CustomerCenterFunctions.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
Call GetCustomerConfig()
%>

<% ' Checked for Customer+Center Logged in Cookie

CookieID = Request.Cookies("ISS_CUSTOMER") ' Get the Logged TechID from the cookie
If CookieID <> "" Then
  Logged_In = "Yes"
Else
  Logged_In = "No"
End If


' Get all of the case information first before display the page

	casenum = Request.querystring("casenum")

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL3 = "select * from Cases where case_number = " & casenum

	'response.write mySQL3

	set rstemp2=conntemp.execute(mySQL3)


'	set rstemp2 = Server.CreateObject("adodb.recordset")
'	rstemp2.open mySQL3, myDSN, 3

	 Case_History = rstemp2("case_History")
	 Case_Summary = rstemp2("Case_Summary")
	 Case_Resolution = rstemp2("Case_Resolution")
	 CaseNumber = rstemp2("Case_Number")
	 OpenDateUnformatted = rstemp2("Open_date")
	 ModDateUnformatted = rstemp2("mod_date")
	 OpenDateFormatted = Mid(OpenDateUnformatted, 5,2) & "/" & Mid(OpenDateUnformatted, 7,2) & "/" & Mid(OpenDateUnformatted, 1,4)
	 ModDateFormatted = Mid(modDateUnformatted, 5,2) & "/" & Mid(modDateUnformatted, 7,2) & "/" & Mid(modDateUnformatted, 1,4)

  ' Replace CR with <BR> characters
	New_Summary = ""
	if Case_Summary <> "" Then
		New_summary = Format_Case_Text(Case_summary)
	End If
	If New_Summary = "" Then
		New_Summary = wc_No_Summary_defined
	End If



  ' Replace CR with <BR> characters and handle special tags
	New_Resolution = ""
	If Case_Resolution <> "" Then
		New_Resolution = Format_Case_Text( Case_Resolution)
	End If

	If New_Resolution = "" then
		New_Resolution = wc_No_Resolution_Defined
	End If



' Now get the category strings

	' Create the category string for this case
	CategoryString = ""  'Clear out String


	CategoryString = ""
	ColorChoice = 1
	for i = 1 to 20 ' Increase this beyond 20 if more than 20 Categories
		CategoryItem = rstemp2("C"&i)
		If CategoryItem <> 0 Then
			' Some category value is set so see if the state of the category
			' equal to one (customer+tech display) and get the category
			' and category item description from the table lookup.

			mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND State = 1"

			'response.write mySQL4 ' Debugging only

	set rstemp3=conntemp.execute(mySQL4)

'			set rstemp3 = Server.CreateObject("adodb.recordset")
'			rstemp3.open mySQL4, myDSN, 3

			If rstemp3.EOF <> True THEN
				Item_name = rstemp3("Item_name")
				CategoryName = rstemp3("Category_name")

                 CategoryString = CategoryString & "[" & CategoryName & " : " & Item_name & "]<br>"


				' Close this intermediate record set

			End If

			rstemp3.close
			set rstemp3=nothing
		End If
	next

		If CategoryString = "" then
			CategoryString = wc_No_Categories_defined
		End If

	' Close this intermediate record set



	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing


     %>


<% ' **************** START OF Mobile HTML jquery code   ********************* %>

<% '*************************** UI **************************' %>
<!DOCTYPE html>
<html>
<title><%=CustomerCenterMobileTitle%>
</title>
     <!-- #INCLUDE FILE="cheaderMobile.inc" -->
    <body>

        <!-- Home -->
        <div data-role="pageSiteInfo" id="pageSiteInfo">
            <div data-role="content">
        <!-- #INCLUDE FILE="UpperNavBar.inc" -->


	<div data-role="content">
					<div class="content-primary">

	<P><strong><%=New_Summary%></strong></p>

	<P><%=New_Resolution%></p>



<%   ShowCategories = "YES" ' Control whether to show categories
	If ShowCategories = "YES" Then
%>

				<h3>Categories:</h3>
			<p><%= CategoryString %></p>

<% End IF %>
<p></p>
<p></p>


			<p><strong>Last Modified Date:</strong><%=ModDateFormatted%></p>
			<p><strong>Create Date:</strong><%=OpenDateFormatted%></p>




		</div><!--/content-primary -->

            </div>
        </div>
    </body>
</html>



<% ' FUNCTIONS %>

<% Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{r[", "<br><font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font><br>")

		NewText = Replace (NewText, "]g}", "</font><br>")


	NewText = replace(NewText, chr(13), "<br>")
'	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")


	Format_Case_Text = NewText

End function
%>


<% Sub RetrieveCategories


	' Create the category display for this case

	CategoryString = ""
	ColorChoice = 1
	for i = 1 to 20 ' Increase this beyond 20 if more than 20 Categories
		CategoryItem = rstemp2("C"&i)
		If CategoryItem <> 0 Then
			' Some category value is set so see if the state of the category
			' equal to one (customer+tech display) and get the category
			' and category item description from the table lookup.

			mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND State = 1"

			'response.write mySQL4 ' Debugging only

	set rstemp3=conntemp.execute(mySQL4)

'			set rstemp3 = Server.CreateObject("adodb.recordset")
'			rstemp3.open mySQL4, myDSN, 3

			If rstemp3.EOF <> True THEN
				Item_name = rstemp3("Item_name")
				CategoryName = rstemp3("Category_name")
                 %>
                 [<%=CategoryName%>: <%=Item_name%>]<br>

                 <%


				' Close this intermediate record set

			End If

			rstemp3.close
			set rstemp3=nothing
		End If
	next

		If CategoryString = "" then
			CategoryString = wc_No_Categories_defined
		End If

	' Close this intermediate record set



	rstemp2.close
	set rstemp2=nothing

End Sub
%>



