<%  ' Module: Defaultmobile.asp
	'
	' Description: Button Panel Page to the Tech+Center
	'
	' (C) 2013 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/29/00	SAV		Created original BOptions.asp
   '10/17/00 SAV	Created from BOptions.asp module
   '6/14/2004 JC    Created new buttons for this panel
   '09/27/11  CMB   Added stuff for Projects
   '10/05/11  CMB   Removed several buttons (email to case, config file used for reservation button)
   '1/18/13 SAV		Created DefaultMobile.asp for customer+center mobile interface from toptions page

	' * * * * * * * * Mobile Customer+Center CONFIGURATION OPTIONS * * * * * * *

	' comment/uncomment out the definitions below to remove these options from
	' the customer+center home page.

	' If you have LDAP enabled, we will assume you do not want:
		'Self registration
		'Standard Customer+Center logins
		'Los Username and passwords


		'ShowReservationCenterLink = "YES" ' Display the reservation+center link
		ShowCCLogin = "YES" '- Display the web+center customer login (non AD)
		ShowSelfRegistration = "YES"
		' Removed from mobile version RemoteControlSessionEnabled = "1"
		DisplayFAQPageOption = "YES"

		ShowCustomerMessageBoard = "YES"









%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<% ' Get in the file that contains the version string %>

<!-- #INCLUDE FILE="../Language/Version.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% IF adOpenForwardOnly = "" Then %>
<% '<!-- #INCLUDE FILE="Adovbs.inc" -->
%>

<%End IF %>

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"


	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL2, conntemp, 1,3

	'set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_options_color")
		AssetDatabase = rstemp2("assets_db")
		If CInt(AssetDatabase) = 1 Then
			AssetDatabase = True
		End If

		TextMessagingEnabled = rstemp2("Option2")
		Language = rstemp2("Language")

		If Instr(Language, "Calendar" ) Then
			DisableWebCenterCalendar = "NO"
		Else
			DisableWebCenterCalendar = "YES"
		End If

		'***** 7.5
		If Version7point5 = "YES" then
			EnableProjects = rstemp2("Projects")
			AssetInspections = rstemp2("AssetInspections")
			ReservationCenter = rstemp2("ReservationCenter")

			YourCustomerCenterName = rstemp2("customer_Name_html")

			If YourCustomerCenterName = "" Then
				YourCustomerCenterName = "CUSTOMER + CENTER"
			End If

		End If

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	' Get the Customer=Center Message Board (Formerly the Business+center white board)

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from bConfiguration" ' We will allow up to 10 Priority values
	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL, conntemp, 1,3


	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		CustomerMessageBoard = "" ' Default to no message
	Else
		CustomerMessageBoard = rstemp2("BWhiteboard")


	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


%>


<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta name="apple-mobile-web-app-capable" content="yes" />
        <meta name="apple-mobile-web-app-status-bar-style" content="black" />
        <title>
        </title>
        <link rel="stylesheet" href="https://ajax.aspnetcdn.com/ajax/jquery.mobile/1.2.0/jquery.mobile-1.2.0.min.css" />
        <link rel="stylesheet" href="my.css" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js">
        </script>
        <script src="https://ajax.aspnetcdn.com/ajax/jquery.mobile/1.2.0/jquery.mobile-1.2.0.min.js">
        </script>
        <script src="my.js">
        </script>
        <!-- User-generated css -->
        <style>
        </style>
        <!-- User-generated js -->
        <script>
            try {

    $(function() {

    });

  } catch (error) {
    console.error("Your javascript has an error: " + error);
  }
        </script>
    </head>
    <body>
        <!-- Home -->
        <div data-role="page" id="page1">
            <div data-role="content">
                <a href="#page1">
                    <div style=" text-align:center">
                        <img id="homepage" style="width: 30%; height: 30%" src="http://inetsciences.wpengine.com/wp-content/uploads/2012/09/isslogo2012x150.jpg" />
                    </div>
                </a>
                <div data-role="navbar" data-iconpos="left">
                    <ul>
                        <li>
                            <a href="#page1" data-transition="fade" data-theme="d" data-icon="home">
                                Home
                            </a>
                        </li>
                        <li>
                            <a href="#page1" data-transition="fade" data-theme="" data-icon="arrow-u">
                                Login
                            </a>
                        </li>
                        <li>
                            <a href="#page1" data-transition="fade" data-theme="" data-icon="alert">
                                Alerts
                            </a>
                        </li>
                    </ul>
                </div>
                <h5>
                    New Account
                </h5>
                <form action="DoNewAccount.asp" method="POST">
                    <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="textinput1">
                                First Name
                            </label>
                            <input name="Firstname" id="textinput1" placeholder="" value="" type="text" />
                        </fieldset>
                    </div>
                    <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="textinput2">
                                Last Name
                            </label>
                            <input name="Lastname" id="textinput2" placeholder="" value="" type="text" />
                        </fieldset>
                    </div>
                    <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="textinput3">
                                Email:
                            </label>
                            <input name="Email" id="textinput3" placeholder="" value="" type="email" />
                        </fieldset>
                    </div>
                    <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="textinput4">
                                Password:
                            </label>
                            <input name="" id="textinput4" placeholder="" value="" type="password" />
                        </fieldset>
                    </div>
                    <div data-role="fieldcontain">
                        <fieldset data-role="controlgroup" data-mini="true">
                            <label for="textinput5">
                                Phone Number:
                            </label>
                            <input name="" id="textinput5" placeholder="" value="" type="tel" />
                        </fieldset>
                    </div>
                    <input data-inline="true" data-icon="plus" data-iconpos="left" value="Create Account" data-mini="true" type="submit" />
                    <input data-inline="true" data-icon="back" data-iconpos="right" value="Cancel" data-mini="true" type="submit" />
                </form>
                <h5>
                </h5>
            </div>
        </div>
    </body>
</html>

<% ' ********************* CUSTOMER MESSAGE BOARD CODE **************  %>



<% If ShowCustomerMessageBoard = "YES" Then %>

<%  IF CustomerMessageBoard <> "" Then  %>





		<% ' =CustomerMessageBoard%>




<% End If %>


<%End If %>

<% ' ************************** END OF CUSTOMER MESSAGE BOARD CODE *************** %>




