<% 'Module: CustomerChatFrame.asp

   'Description: This module is the Frame document for the Customer Text Chat page.

   '(C) 2000-2006 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '12/26/2006	SAV		Created original page

	' CONSTANTS
%>


<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<% Customer_ID = Request.Cookies("ISS_CUSTOMER") ' Get the Customer_ID if possible
%>
<% ' Grab the passed query string variable of the TextChatThread number
	TextChatThread = Request.querystring("TextChatThread")

	If TextChatThread = "NEW"  Then
		'First create a new text thread before we launch the two frame documents

		NewTextChatThread = StartCustomerTextChatThread()

		TextChatThread = NewTextChatThread

		' Debug
'		response.write "Text Chat Thread = " & TextChatThread
'		response.flush
'		response.end

	End IF


%>
<% ' Before we display the frame set document, we need to first create a Text Message
	' thread
%>

<!DOCTYPE html>
<html>
<!-- (C) 1996,1998, 1999, 2000-2006 by Internet Software Sciences -->
<head>
<title>Customer+Center Text Messaging</title>
</head>
<body>

<frameset rows="200, 60%" name=ChatWindow>


<frame src=SimpleMobilePage.asp?TextChatThread=<%=TextChatThread%> name=TechSendTextMsg<%=TextChatThread%>>
<frame src=SimpleMobilePage.asp?TextChatThread=<%=TextChatThread%> scrolling=auto name=TechShowTextMsg<%=TextChatThread%>>

<!--
<frame src=MobileSendTextMsg.asp?TextChatThread=<%=TextChatThread%> name=TechSendTextMsg<%=TextChatThread%>>
<frame src=MobileShowTextMsg.asp?TextChatThread=<%=TextChatThread%> scrolling=auto name=TechShowTextMsg<%=TextChatThread%>>

-->



</frameset>
</html>


<% Function StartCustomerTextChatThread()

	' This function will start a text chat thread and enter a short message
	' into the text message so the tech can immediately see that the customer
	' wishes to start a text chat thread

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if case_number exists then this is an update

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from TextChat"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

			NewRecord.AddNew

			NewRecord("MessageStatus") = "NEW"

			CustomerFullName = GetCustomerName(Customer_ID)

			NewHistory = vbCRLF & "{g[(" & CustomerFullName & ") ]g}"  &  "TEXT MSG WINDOW OPENED BY USER" & vbCRLF

			NewRecord("TextChatHistory") = NewHistory  & pastHistory


			If Customer_ID <> "" Then
				NewRecord("Customer_ID") = Customer_ID ' Set this field with the Customer_ID who made the last update.
			End IF

			' We will need this to find the thread id once we submit it.
			CurrentEntryDateTime = Now()

			NewRecord("LastEntryDate") = CurrentEntryDateTime


		' Now add or update the record

		NewRecord.Update

'	If  err.number>0 then
'	      response.write "VBScript Errors Occured:" & "<P>"
'	      response.write "Error Number=" & err.number & "<P>"
'	      response.write "Error Descr.=" & err.description & "<P>"
'	      response.write "Help Context=" & err.helpcontext & "<P>"
'	      response.write "Help Path=" & err.helppath & "<P>"
'	      response.write "Native Error=" & err.nativeerror & "<P>"
'	      response.write "Source=" & err.source & "<P>"
'	      response.write "SQLState=" & err.sqlstate & "<P>"
'	else
'	'      response.write "No VBScript Errors Occured" & "<P>"
'	end if


'	IF  conn.errors.count> 0 then
'	    response.write "Database Errors Occured" & "<P>"
'		for counter= 0 to conn.errors.count
'		      response.write "Error #" & conn.errors(counter).number & "<P>"
'		      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
'		next
'	else
'	      'response.write "No Database Errors Occured!" & "<P>"
'	end if

	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing


' We need to get the most current TextChatThread

	If TextChatThread = "NEW" Then

		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN

		' Check to see if case_number exists then this is an update

			Set NewRecord = Server.CreateObject("ADODB.Recordset")


					'SQL = "Select * from TextChat" where LastEntryDate = '#" & LastEntryDateTime & "#'"
					SQL = "Select * from TextChat"

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			NewRecord.MoveLast

			If TextChatThread <> "" And NewRecord.EOF = True then
				response.write " UPDATE ERROR - Existing record not found <br>"
				Response.write "SQL = " & SQL
				Response.flush
				Response.end
			End If

				TextChatThread = NewRecord("TextChatThread")

		NewRecord.Close
		Set NewRecord = Nothing

		Conn.Close
		Set Conn = Nothing

	End IF

	StartCustomerTextChatThread = TextChatThread ' set the return variable to the thread ID

End Function


%>

<% Function GetCustomerName(Customer_ID)
	'This function gets the full name of the Customer and company


		If Customer_ID = "" Then
			GetCustomerName = "Not Defined"
		Else

			set conntemp5=server.createobject("adodb.connection")
			conntemp5.open myDSN ' Open the connection once here


			mySQL5 = "select * from Customers where customer_ID = '" & Customer_ID & "'"

			set rstemp5=conntemp5.execute(mySQL5)

			' Check to see if any records are returned
			' if none found the
			if rstemp5.EOF then
				GetCustomerName = "Not Defined"
			Else
				GetCustomerName = rstemp5("contact_fname") & " " & rstemp5("contact_lname")
				If rstemp5("Company") <> "" Then
					GetCustomerName = GetCustomerName & "/(" & rstemp5("Company") & ")"
				End IF

			End If

			rstemp5.close
			set rstemp5=nothing
			conntemp5.Close
			Set conntemp5 = nothing

		End If


	End Function ' End of GetCustomerName
	%>



